// var apiUrlPrefix = 'http://106.53.130.240:8888';
var apiUrlPrefix = 'https://www.rydinfo.cn:443/api';

//获取url中的参数
function getUrlParam(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
  var r = encodeURI(window.location.search).substr(1).match(reg); //匹配目标参数
  if (r != null) return unescape(r[2]);
  return null; //返回参数值
}

// 获取所有坐标中心点
function getPointsCenter(points) {
  var point_num = points.length; //坐标点个数
  var X = 0,
    Y = 0,
    Z = 0;
  for (let i = 0; i < points.length; i++) {
    if (points[i] == '') {
      continue;
    }
    let point = points[i].split(',');
    var lat, lng, x, y, z;
    lat = parseFloat(point[1]) * Math.PI / 180;
    lng = parseFloat(point[0]) * Math.PI / 180;
    x = Math.cos(lat) * Math.cos(lng);
    y = Math.cos(lat) * Math.sin(lng);
    z = Math.sin(lat);
    X += x;
    Y += y;
    Z += z;
  }
  X = X / point_num;
  Y = Y / point_num;
  Z = Z / point_num;

  var tmp_lng = Math.atan2(Y, X);
  var tmp_lat = Math.atan2(Z, Math.sqrt(X * X + Y * Y));

  return [tmp_lng * 180 / Math.PI, tmp_lat * 180 / Math.PI];
}


// api接口请求
function getApiData(parameter) {
  $.ajax({
    type: parameter.type || "GET",
    url: apiUrlPrefix + parameter.url,
    data: JSON.stringify(parameter.data),
    headers: { // 请求参数格式 json
      'X-Requested-With': 'XMLHttpRequest',
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8',
      'Blade-Auth': getUrlParam('token'),
	  'Tenant-Id':"000000",
	  'Authorization':getUrlParam('auth')
    },
    error: function(err) {
      window.parent.postMessage({
        result: false
      }, '*');
      document.addEventListener('UniAppJSBridgeReady', function() {
        uni.postMessage({
          data: false
        });
      });
    },
    success: function(res) {
      window.parent.postMessage({
        result: true
      }, '*');
      document.addEventListener('UniAppJSBridgeReady', function() {
        uni.postMessage({
          data: true
        });
      });

      parameter.success && parameter.success(res);
    }
  });
}